NSX-T Data Center REST API
Patch a new LCM Edge Transport Node under Enforcement Point
If the passed Edge Transport Node does not already exist, create a new Edge Transport Node.If it already exists, patch it.
Transport nodes are hypervisor NSX Edges that will participate
in an NSX-T overlay.this means that it will have Tier0/TIer1 uplinks and downlinks.
This API creates/updates the edge node (router) in the transport network.
Additional documentation on creating a transport node can be found
in the NSX-T Installation Guide.
In order for the transport node to forward packets,
the switch_spec property must be specified.
When creating a edge transport node, you need to specify if the edge TN switches
are already manually preconfigured on the node, or if NSX should create
and manage the edge TN switches. You specify this choice by the type
of host switches you pass in the switch_spec property of the
Edge Transport Node request payload.
For a NSX edge node, NSX Manager always configures the edge TN switch.
To allow NSX to manage the Edge TN switch configuration on NSX Edge nodes,
pass an array of switches
objects in the switch_spec property, and NSX will automatically
create edge TN switches with the properties you provide. In the current
NSX-T release, up to 16 host switches can be automatically managed.
See the switch_spec schema definition for documentation on
the properties that must be provided.
If the edge node (router) is already added in
system then it can be converted to transport node by providing node_id in
request.
If edge transport node (router) is not already present in
system then new edge transport node can be created using this API.
Request:
Method:
PATCH
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-transport-nodes/{edge-transport-node-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PolicyEdgeTransportNode+
Example Request:
PATCH https://<policy-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-edge-tn-id { "failure_domain_path": "/infra/sites/default/enforcement-points/default/failure-domains/my-policy-failure-domain-id", "deployment_type": "VIRTUAL_MACHINE", "node_type": "EDGE_NODE", "form_factor": "SMALL", "hostname": "my-edge-tn-id-host.com", "vm_deployment_config": { "vc_id": "2bab11cd-ee62-407c-948c-1ff3f1e6c397", "compute_id": "domain-c18", "storage_id": "datastore-15", "edge_host_affinity_config": { "host_group_name" : "host-1" }, "reservation_info": { "memory_reservation": { "reservation_percentage": 10 }, "cpu_reservation": { "reservation_in_shares": "LOW_PRIORITY", "reservation_in_mhz": 10 } }, "placement_type": "PolicyVsphereDeploymentConfig" }, "appliance_config": { "search_domains": [ "123.1.1.1" ], "ntp_servers": [ "times.com" ], "allow_ssh_root_login": true, "dns_servers": [ "123.23.2.2", "123.4.5.5" ], ], "enable_ssh": true, "enable_upt_mode": false }, "credentials": { "credentials": { "cli_password": "Admin!23Admin", "root_password": "Admin!23Admin", "root_password": "Admin!23Admin", "cli_username": "admin", "audit_username": "audit", "audit_password": "Admin!23Admin" }, "management_interface": { "management_interface": { "ip_assignment_specs": [ { "management_port_subnets": [ { { "ip_addresses": [ "fc7e:f206:db42:0:0:0:0:2" ], "prefix_length": 48 } ], "default_gateway": [ "fc7e:f206:db42:0:0:0:0:1" ], "ip_assignment_type": "StaticIpv6" }, { "ip_assignment_type": "Dhcpv4" } ], "network_id": "dvportgroup-48" }, "switch_spec": { "switches": [ { "switch_name": "nsxHostSwitch", "profile_paths": [ { "key": "UplinkHostSwitchProfile", "value": "/infra/host-switch-profiles/my-uplink-profile-id" } ], "overlay_transport_zone_paths": [ "/infra/sites/default/enforcement-points/default/transport-zones/my-transport-zone-overlay-id" ], "vlan_transport_zone_paths": [ "/infra/sites/default/enforcement-points/default/transport-zones/my-transport-zone-vlan-id" ], "pnics": [ { "device_name": "fp-eth0", "uplink_name": "uplink1", "datapath_network_id": "dvportgroup-48" } ], "tunnel_endpoints": [ { { { { { { "ip_assignment_specs": [ { "ip_pool": "/infra/ip-pools/ippool-policy-ipv4", "ip_assignment_type": "StaticIpv4Pool" } ] ] } ] } ] } }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a